Debian Bug report logs - #708131
bwm_observer_cam::backproj_point(vbl_smart_ptr<vsol_point_2d>, vbl_smart_ptr<vsol_point_3d>&, vgl_plane_3d<double>)

version graph

Package: vxl; Maintainer for vxl is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Mon, 13 May 2013 12:30:02 UTC

Severity: grave

Tags: help

Found in version 1.17.0

Fixed in version vxl/1.17.0-4

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#708131; Package vxl. (Mon, 13 May 2013 12:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 13 May 2013 12:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bwm_observer_cam::backproj_point(vbl_smart_ptr<vsol_point_2d>, vbl_smart_ptr<vsol_point_3d>&, vgl_plane_3d<double>)
Date: Mon, 13 May 2013 14:26:59 +0200
Package: vxl
Version: 1.17.0
Severity: normal

During compilation, there is an issue:

dpkg-shlibdeps: warning: symbol _ZN16bwm_observer_cam14backproj_pointE13vbl_smart_ptrI13vsol_point_2dERS0_I13vsol_point_3dE12vgl_plane_3dIdE used by debian/libvxl1.17/usr/lib/libbwm.so.1.17.0 found in none of the libraries


-- System Information:
Debian Release: 6.0.7
  APT prefers oldstable-updates
  APT policy: (500, 'oldstable-updates'), (500, 'oldstable'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-0.bpo.4-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#708131; Package vxl. (Wed, 22 May 2013 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 22 May 2013 09:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 708131@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 708131@bugs.debian.org, Control bugs server <control@bugs.debian.org>
Date: Wed, 22 May 2013 11:00:40 +0200
tags 708131 grave
tags 708131 help
thanks

This issue makes mips* compilation fails [1], see:
https://buildd.debian.org/status/fetch.php?pkg=vxl&arch=mips&ver=1.17.0-3&stamp=1369190209

However the compilation error does not make any sense, indeed:

$ cd obj-x86_64-linux-gnu
$ grep -r _ZN16bwm_observer_cam14backproj_pointE13vbl_smart_ptrI13vsol_point_2dERS0_I13vsol_point_3dE12vgl_plane_3dIdE
*
Binary file contrib/brl/bbas/bwm/CMakeFiles/bwm.dir/bwm_plane_fitting_lsf.o
matches
Binary file contrib/brl/bbas/bwm/CMakeFiles/bwm.dir/bwm_observer_cam.o matches
Binary file contrib/brl/bbas/bwm/CMakeFiles/CMakeRelink.dir/libbwm.so.1.17.0
matches
Binary file lib/libbwm.so.1.17.0 matches
$ nm contrib/brl/bbas/bwm/CMakeFiles/bwm.dir/bwm_observer_cam.o | grep
_ZN16bwm_observer_cam14backproj_pointE13vbl_smart_ptrI13vsol_point_2dERS0_I13vsol_point_3dE12vgl_plane_3dIdE
00000000000004f0 T
_ZN16bwm_observer_cam14backproj_pointE13vbl_smart_ptrI13vsol_point_2dERS0_I13vsol_point_3dE12vgl_plane_3dIdE


So why is is possible that symbols is not found afterward:

$ nm -D ./contrib/brl/bbas/bwm/CMakeFiles/CMakeRelink.dir/libbwm.so |
grep _ZN16bwm_observer_cam14backproj_pointE13vbl_smart_ptrI13vsol_point_2dERS0_I13vsol_point_3dE
                 U
_ZN16bwm_observer_cam14backproj_pointE13vbl_smart_ptrI13vsol_point_2dERS0_I13vsol_point_3dE12vgl_plane_3dIdE


[1]
cd /build/buildd-vxl_1.17.0-3-mips-WhzOv9/vxl-1.17.0/obj-mips-linux-gnu/contrib/brl/bbas/bwm/video/exe
&& /usr/bin/cmake -E cmake_link_script
CMakeFiles/bwm_video_normalize_3d_corr.dir/link.txt --verbose=1
/usr/bin/c++   -g -O2 -Wformat -Werror=format-security
-D_FORTIFY_SOURCE=2   -O2 -g -DNDEBUG   -Wl,-z,relro -Wl,--as-needed
CMakeFiles/bwm_video_normalize_3d_corr.dir/bwm_video_normalize_3d_corr.o
 -o bwm_video_normalize_3d_corr -rdynamic
../../../../../../lib/libbwm.so.1.17.0
../../../../../../lib/libbwm_algo.so.1.17.0
../../../../../../lib/libbwm_video.so.1.17.0
../../../../../../lib/libvnl.so.1.17.0
../../../../../../lib/libvpl.so.1.17.0
../../../../../../lib/libvul.so.1.17.0 -lshp
../../../../../../lib/libvidl.so.1.17.0 -lavformat -lavcodec -lavutil
-lswscale -ldc1394 ../../../../../../lib/libbwm_reg.so.1.17.0
../../../../../../lib/libsdet.so.1.17.0
../../../../../../lib/libbtol.so.1.17.0
../../../../../../lib/libbdgl.so.1.17.0
../../../../../../lib/libimesh_algo.so.1.17.0
../../../../../../lib/libimesh.so.1.17.0
../../../../../../lib/libbrdb.so.1.17.0
../../../../../../lib/libbwm_io.so.1.17.0
../../../../../../lib/libvsph.so.1.17.0
../../../../../../lib/libbpgl_algo.so.1.17.0
../../../../../../lib/libbpgl.so.1.17.0
../../../../../../lib/libbrip.so.1.17.0
../../../../../../lib/libgevd.so.1.17.0
../../../../../../lib/libbil_algo.so.1.17.0
../../../../../../lib/librrel.so.1.17.0
../../../../../../lib/libbsta_io.so.1.17.0
../../../../../../lib/libbmsh3d_algo.so.1.17.0
../../../../../../lib/libbmsh3d.so.1.17.0
../../../../../../lib/librply.so.1.17.0
../../../../../../lib/libbsol.so.1.17.0
../../../../../../lib/libbgui.so.1.17.0
../../../../../../lib/libvtol.so.1.17.0
../../../../../../lib/libvdgl.so.1.17.0
../../../../../../lib/libvil_algo.so.1.17.0
../../../../../../lib/libbsta.so.1.17.0
../../../../../../lib/libvgui.so.1.17.0
../../../../../../lib/libvpl.so.1.17.0
../../../../../../lib/libvil1.so.1.17.0 -lQtCore -lQtGui -lQtOpenGL
-lglut -lXmu -lXi ../../../../../../lib/libQv.so.1.17.0 -lGLU -lGL
-lSM -lICE -lX11 -lXext -lSM -lICE -lX11 -lXext
../../../../../../lib/libvpgl_algo.so.1.17.0
../../../../../../lib/libvpgl_io.so.1.17.0
../../../../../../lib/libvnl_io.so.1.17.0
../../../../../../lib/libvpgl_file_formats.so.1.17.0
../../../../../../lib/libvpgl.so.1.17.0
../../../../../../lib/libbvgl.so.1.17.0
../../../../../../lib/libvsol.so.1.17.0
../../../../../../lib/libvul.so.1.17.0
../../../../../../lib/libvbl_io.so.1.17.0
../../../../../../lib/libvil.so.1.17.0 -ljpeg -ltiff -lgeotiff -lpng
../../../../../../lib/libdcmtk.so.1.17.0 -lz
../../../../../../lib/libopenjpeg2.so.2.0.0
../../../../../../lib/libvbl.so.1.17.0
../../../../../../lib/libvgl_algo.so.1.17.0
../../../../../../lib/libvnl_algo.so.1.17.0
../../../../../../lib/libvnl.so.1.17.0
../../../../../../lib/libnetlib.so.1.17.0
../../../../../../lib/libv3p_netlib.so.1.17.0
../../../../../../lib/libexpatpp.so.1.17.0 -lexpat
../../../../../../lib/libvgl_io.so.1.17.0
../../../../../../lib/libvgl.so.1.17.0
../../../../../../lib/libvsl.so.1.17.0
../../../../../../lib/libvcl.so.1.17.0 -lm
-Wl,-rpath,/build/buildd-vxl_1.17.0-3-mips-WhzOv9/vxl-1.17.0/obj-mips-linux-gnu/lib
../../../../../../lib/libbwm.so.1.17.0: undefined reference to
`bwm_observer_cam::backproj_point(vbl_smart_ptr<vsol_point_2d>,
vbl_smart_ptr<vsol_point_3d>&, vgl_plane_3d<double>)'
collect2: ld returned 1 exit status
make[3]: *** [contrib/brl/bbas/bwm/video/exe/bwm_video_normalize_3d_corr]
Error 1
make[2]: *** [contrib/brl/bbas/bwm/video/exe/CMakeFiles/bwm_video_normalize_3d_corr.dir/all]
Error 2
make[2]: *** Waiting for unfinished jobs....
make[3]: Leaving directory
`/build/buildd-vxl_1.17.0-3-mips-WhzOv9/vxl-1.17.0/obj-mips-linux-gnu'



Added tag(s) help. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 22 May 2013 09:03:22 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 22 May 2013 09:09:11 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Tue, 28 May 2013 15:24:25 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Tue, 28 May 2013 15:24:25 GMT) Full text and rfc822 format available.

Message #19 received at 708131-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 708131-close@bugs.debian.org
Subject: Bug#708131: fixed in vxl 1.17.0-4
Date: Tue, 28 May 2013 15:23:34 +0000
Source: vxl
Source-Version: 1.17.0-4

We believe that the bug you reported is fixed in the latest version of
vxl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708131@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated vxl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 May 2013 15:08:55 +0200
Source: vxl
Binary: libvxl1.17 libvxl1-dev
Architecture: source amd64
Version: 1.17.0-4
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 libvxl1-dev - C++ Libraries for Computer Vision Research
 libvxl1.17 - C++ Libraries for Computer Vision Research
Closes: 671601 697784 708131
Changes: 
 vxl (1.17.0-4) unstable; urgency=low
 .
   * Fix builds on arm* by removing duplicate symbols
   * Re-activate testing. Closes: #671601
   * Build OpenCL modules. Closes: #697784
   * Run two cmake configure steps. Closes: #708131
   * make package multiarch
Checksums-Sha1: 
 173caa57ca100bc84b18ccb39dcab03caf961540 2440 vxl_1.17.0-4.dsc
 7b7d0712cd65fc736eee42ce6fa55d48efb967db 34450 vxl_1.17.0-4.debian.tar.gz
 993b88883c646da4baf3d5f506926962970f15fc 15695580 libvxl1.17_1.17.0-4_amd64.deb
 f5abf7c49ff32e98853b8a225308ccd8b599a306 2391912 libvxl1-dev_1.17.0-4_amd64.deb
Checksums-Sha256: 
 7c240d374247152e2135d58f2d4f130fe0bd2f886311555b427adeb76a563a4c 2440 vxl_1.17.0-4.dsc
 2999b61e22c0b01813a3dae995ecef5e91ae5c7f86343fb0cc7cb78b94989c0c 34450 vxl_1.17.0-4.debian.tar.gz
 144d85a4e334eb33ec3ace238edc112c3ff5ad84ff8f78d29ef5c117e48d08e0 15695580 libvxl1.17_1.17.0-4_amd64.deb
 d994ef3160f0c35d9ded091eee41b74ddc0a96bede4906b336c3b3df4f00449f 2391912 libvxl1-dev_1.17.0-4_amd64.deb
Files: 
 468eb9f027c91c38dd0aad6ff4755541 2440 science optional vxl_1.17.0-4.dsc
 01e3ce037bb69d4181463f6d1c359161 34450 science optional vxl_1.17.0-4.debian.tar.gz
 13cbad2d49cea1a92fa05f514dae5ba2 15695580 libs optional libvxl1.17_1.17.0-4_amd64.deb
 7a13d7b2bf1146d9816f967449ef5b29 2391912 libdevel optional libvxl1-dev_1.17.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJRpL31AAoJEAFx4YKK4JNFvxEP/jGStVDwPXcpDEONN0BDx63/
US0GI/YzyAfFydE3DiS9tliNur1ujA7Ldx3T1lnwcFJ/uihTigacWe/bkCl2VHCR
P8DSLLAIpCLwR4epNHPR5Z11HntJm/veBOqWRG0VvabjyZwi7iHwI+eKezqzrhSm
rQyisNLN4VhHemCDZDyuMLLyxmoq+oMf1sp/Ug0YHSgFoCvNODK5y5s+O8KRSueK
5sXKJRrPLMEe4VLrgM/gX7aCQhuKknMRhUJNcQc5jGOUS/4HVKTA5n7jswx+P5Dx
PdcQ54D5fMEzXd96sePwOI1UuXg8sCUaCpz3LbtjOwLS7IO/mMM4H+ZfVa2rJwBl
ga4ySUuWAikE7nHpJ3rOacBD1emJhX7ZplMhFlmeFUXxGMx+XDCufzTFuSQZVJtI
7q07mpsO+l1Yrslr80icUaFhDF2eU2k2IZTNyscEcZU+V7jujFHTVJRXrlV+8a2H
6aBs29wEu8WDH4eTbup4d6kvyCjhtdD5nGyI33nqDBpLLBJAa8Td1BnKZ/u4sBZp
1UvwEBFPuh+lpDkoA3kEXr+HA2+tf8i9kg/XMGrC0q5yGhI23UkcJJiaJAGPLkh/
bF2+q08fCwC95HQwKfKMsdqMCSlyGmT+t6nM2vLKc1YxECNtkLmOhYqiTwL9wWs8
pncqfFUk5sm5dRIHUkLK
=Ibkl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Jun 2013 07:29:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:00:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.